package com.example.nto.service.impl;

import com.example.nto.model.dto.AuthCredentials;
import com.example.nto.model.entity.Employee;
import com.example.nto.service.AuthService;
import com.example.nto.service.EmployeeCredentialsService;
import lombok.RequiredArgsConstructor;
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class AuthServiceImpl implements AuthService {

    private final AuthenticationManager authenticationManager;

    public void auth(AuthCredentials authCredentials) {
        authenticationManager.authenticate(new UsernamePasswordAuthenticationToken(authCredentials.getLogin(), authCredentials.getPassword()));
    }
}
