package com.example.nto.controller;

import com.example.nto.model.dto.AuthCredentials;
import com.example.nto.service.AuthService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor
@RequestMapping("/api")
public class AuthController {
    private final AuthService authService;

    @PostMapping("/auth")
    public void auth(@RequestParam final AuthCredentials authCredentials) {
        authService.auth(authCredentials);
    }
}
